> ## Documentation Index
> Fetch the complete documentation index at: https://docs.volanti.aero/llms.txt
> Use this file to discover all available pages before exploring further.

# Get authenticated user

> Returns the profile of the person the access token belongs to.



## OpenAPI

````yaml api-reference/identity/openapi.json GET /user
openapi: 3.1.0
info:
  title: Volanti Identity API
  version: 1.0.0
  description: >-
    Read the profile of the person who signed in to your application with their
    Volanti account. The Sign in with Volanti guide explains how to get the
    access token this endpoint needs.
servers:
  - url: https://identity.volanti.aero/api
security:
  - oauth2_user_token: []
tags:
  - name: User profile
paths:
  /user:
    get:
      tags:
        - User profile
      summary: Get authenticated user
      description: Returns the profile of the person the access token belongs to.
      operationId: getUserProfile
      responses:
        '200':
          description: The person's profile.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserResource'
        '401':
          $ref: '#/components/responses/AuthenticationException'
      security:
        - oauth2_user_token: []
components:
  schemas:
    UserResource:
      type: object
      properties:
        id:
          type: string
        name:
          type:
            - string
            - 'null'
        email:
          type:
            - string
            - 'null'
        email_verified_at:
          type:
            - string
            - 'null'
          format: date-time
        is_admin:
          type: boolean
        marketing_opt_in:
          type: boolean
        mfa_enabled:
          type: boolean
        is_banned:
          type: boolean
        banned_at:
          type:
            - string
            - 'null'
          format: date-time
        deleted_at:
          type:
            - string
            - 'null'
          format: date-time
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - name
        - email
        - email_verified_at
        - is_admin
        - marketing_opt_in
        - mfa_enabled
        - is_banned
        - banned_at
        - deleted_at
        - created_at
        - updated_at
      title: UserResource
  responses:
    AuthenticationException:
      description: The access token is missing or not valid.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: What went wrong.
            required:
              - message
  securitySchemes:
    oauth2_user_token:
      type: oauth2
      description: >-
        An access token from Sign in with Volanti, which uses the OAuth 2.0
        authorisation code flow.
      flows:
        authorizationCode:
          authorizationUrl: https://identity.volanti.aero/oauth/authorize
          tokenUrl: https://identity.volanti.aero/oauth/token
          refreshUrl: https://identity.volanti.aero/oauth/token
          scopes: {}

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.